Subject: bug#72272: [PATCH] dired-hide-details-mode hides directory's absolute path

From: Stefan Kangas <[email-masked]>
Date: Wed, 2 Oct 2024 21:32:24 +0000

Alvaro Ramirez <[email-masked]> writes:

> Included a with/without sample in the NEWS for clarity.

Thanks.

> Any chance we can consider on by default? If folks aren't enabling
> dired-hide-details-mode, then this feature is technically already
> off by default. I'm thinking for those who do use
> dired-hide-details-mode, there's possibly a likelihood they may
> want to hide this detail also.

I always use `dired-hide-details-mode', and I definitely would _not_
want this feature on.  It doesn't help and makes Dired much less useful
for me.  That's only one data point, of course.

But given that we're usually pretty conservative with changing the
defaults, I recommend adding this as an optional feature at first.
If it picks up in popularity, we could always reconsider later.